@import url('https://vetrivelcsamy.github.io/cheltenham-classic/cheltenhamclassic.css');
@import url('https://fonts.cdnfonts.com/css/dot-matrix');

:root {
  --bg-color: #251163;
}

html, body {
  height: 100%;
}

html {
  display: table;
  margin: auto;
}

body {
  display: table-cell;
  /*vertical-align: middle;*/
}

body {
  width: 95vw;
  text-align: center;

  background-color: var(--bg-color);
  color: white;
  /*font-family: 'Gill Sans', sans-serif;*/
  font-family: 'cheltenhamclassic', serif;
}

a:link {
  color: #98c6e6;
}

a:visited {
  color: #bd97e8;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 0.75em;
}

.links {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.top {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 2em;
}

/* Disable visible scroll: Webkit */
.paper::-webkit-scrollbar {
  display:none;
}

.paper {
  --line-color-1: #B8F4B8;
  --line-color-2: #FFFFFF;

  --line-height: 1.75em;
  --extra-padding: 0.5em;

  text-align: left;
  padding-top: calc(var(--line-height));
  padding-left: calc(var(--line-height) + var(--extra-padding));
  padding-right: calc(var(--line-height) + var(--extra-padding));

  height: 70vh;
  max-width: 1280px;
  position: relative;
  color: black;
  /* v2.2 : Noise added for a vellum paper effect */
  background:
    linear-gradient(180deg, #ffffff00 95%, rgba(57, 57, 57, 0.75) 100%),
    linear-gradient(0deg, #ffffff00 90%, rgb(57, 57, 57, 0.75) 100%),
    left 0 / var(--line-height) var(--line-height) repeat-y url("../images/Border-Holes.svg"),
    right 0 / var(--line-height) var(--line-height) repeat-y url("../images/Border-Holes.svg"),
    url("../images/Noise.png"),
    left 0 / var(--line-height) var(--line-height) repeat-y url("../images/Border-Left.svg"),
    right 0 / var(--line-height) var(--line-height) repeat-y url("../images/Border-Right.svg"),
    repeating-linear-gradient(
      180deg,
      var(--line-color-1) 0 var(--line-height),
      var(--line-color-2) var(--line-height) calc(var(--line-height) * 2)
    );
  background-attachment: scroll, scroll, local, local, local, local, local, local;

  overflow-y: visible; 
  overflow-x: hidden;
  scrollbar-width: none;  /* Disable visible scroll: Firefox */

  font-family: "Dot Matrix";
  font-size: xx-large;
  line-height: var(--line-height);
}

.paper h1 {
  margin: 0;
  padding: 0;
  font-weight: 200;
  margin: 0 0 calc(var(--line-height) / 2) 0;
}

.paper h2 {
  margin: 0;
  padding: 0;
  font-weight: 150;
  margin: 0 0 calc(var(--line-height) / 2) 0;
}

.paper br {
  display: block;
  margin: var(--line-height) 0;
}

.paper p {
  margin: 0 0 var(--line-height) 0;
}

.paper a:link {
  color: revert;
}

.paper a:visited {
  color: revert;
}

footer {
  background-color: #251163;
  color: white;
  font-family: 'cheltenhamclassic', serif;
}

/*.title {

}*/